Subject: This can find your missing...

From: Find Lost Items In Seconds <[email-masked]>
Date: Tue, 27 Jan 2015 09:38:06 -0800

Did you lose something? Your keys or phone?

This can find it. And it will make sure it doesn't happen again.
> http://www.tagandfindfromdigitrck.com/genitourinary/oblate/escalate.htm

I have not lost anything since. It was always the worst feeling when I could not find something important.

Thanks
Jamie

This just found my wallet. I thought someone took it. http://www.tagandfindfromdigitrck.com/genitourinary/oblate/escalate.htm
Thank goodness I was able to find it.

From: FGF Network-Communications
Addr: 5211 Happiness, San Antonio TX, 78219
Rem: http://www.tagandfindfromdigitrck.com/landscapers/volunteer/mollifying/neutralizations.php

Last-located-at: 
While reading the posts under Frank Warren's talk I came across the link to a site where you can put up an announcement if you find a camera or memory chip. Individuals who have lost it can scan over 100 pages of pictures and camera descriptions to see if someone found theirs.

It's a great site! I didn't know it existed.

Happily, many individuals have been reunited with their cameras and pictures.

Thanks.